Bug 140121 - FILEOPEN DOCX Grouped shape with width relative to page opened incorrectly
Summary: FILEOPEN DOCX Grouped shape with width relative to page opened incorrectly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Grouped-Shapes
  Show dependency treegraph
 
Reported: 2021-02-03 12:19 UTC by NISZ LibreOffice Team
Modified: 2023-09-22 03:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (23.21 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-02-03 12:19 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (59.42 KB, image/png)
2021-02-03 12:19 UTC, NISZ LibreOffice Team
Details
Screenshot of the size settings of the grouping in Word (69.38 KB, image/png)
2021-09-21 07:04 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-02-03 12:19:23 UTC
Created attachment 169427 [details]
Example file from Word

This is split off from bug #79920
The example file there contained a grouped shape which has width set as relative to page.
When opened the width of the grouped shape is significantly smaller.

Steps to reproduce:
    1. Open attached file

Actual results:
The orange-green grouped shape is less wide than in Word.

Expected results:
The grouped shape should be equally wide as in Word.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 318d384c596c1593667d6c936f55bf6ebd0c5db6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-GB
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-02-03 12:19:39 UTC
Created attachment 169428 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Xisco FaulĂ­ 2021-02-18 08:39:22 UTC
Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: cbcec4425e04e3614a2025b49fdc221216ac51d3
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Regina Henschel 2021-07-11 21:07:34 UTC
Isn't it the same problem as bug 135254?
Comment 4 NISZ LibreOffice Team 2021-09-21 06:58:58 UTC
(In reply to Regina Henschel from comment #3)
> Isn't it the same problem as bug 135254?

No, that one is about absolute shape sizes.

This one is about shape sizes relative to the page. I think your analysis in bug 135254 comment 4 applies for this bug.
Comment 5 NISZ LibreOffice Team 2021-09-21 07:04:05 UTC
Created attachment 175155 [details]
Screenshot of the size settings of the grouping in Word

Better shot of the settings dialog
Comment 6 QA Administrators 2023-09-22 03:16:42 UTC
Dear NISZ LibreOffice Team,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug